%define name hylafax
%define version 4.1beta2
%define release 8rh6
%define gs_font_dir /usr/share/ghostscript/fonts
%define group Applications/Communications
%define mansections 158
%define __spec_install_post /bin/true

Summary:	HylaFAX(tm) is a sophisticated enterprise strength fax package
Name:	%{name}
Version:	%{version}
Release:	%{release}
Copyright: better than LGPL
Group:	%{group}
Packager:	Darren Nickerson <darren@hylafax.org>
URL: http://www.hylafax.org/

#Source:	ftp://ftp.hylafax.org/hylafax/source/BETA/%{name}-%{version}.tar.gz
Source:         ftp://ftp.hylafax.org/hylafax/source/BETA/%{name}-cvs-20001203.tar.gz
Source4:	hylafax_config
Source5:	hylafax_config.modem
Source6:	hylafax_setup.cache
Source7:	hylafax_setup.modem
Source8:	hylafax_README.rpm
Source9:        hylafax_daily.cron
Source10:       hylafax_hourly.cron
Source11:       hylafax_logrotate
Requires:	ghostscript >= 5.10
Requires:       gawk >= 3.0.3
Requires:       zlib >= 1.1.3
Requires:       zlib-devel >= 1.1.3
Requires:	libtiff >= 3.5.5-2
Requires:       redhat-release <= 6.2-1
Patch:		hylafax_v4.1-dso.patch
#Patch1:         hylafax_v4.1-sysvinit.patch

BuildRoot:	/tmp/%{name}-root

%description
HylaFAX(tm) is a sophisticated enterprise-strength fax package for 
class 1 and 2 fax modems on unix systems. It provides spooling
services and numerous supporting fax management tools. 
The fax clients may reside on machines different from the server
and client implementations exist for a number of platforms including 
windows.

%changelog

* Sun Dec 03 2000 Darren Nickerson <darren@dazza.org>
  - update to cvs-20001203

* Sun Oct 29 2000 Darren Nickerson <darren@dazza.org>
  - tidy naming of Source files (Giulio Orsero <giulioo@pobox.com>)
  - Update README.RPM
  - Move to non-interactive build

* Fri Sep 01 2000 Darren Nickerson <darren@dazza.org>
  - hard-wire gawk dependency to prevent it defaulting to mawk, which
    is not installed by default on some systems
  - use system zlib rather than HylaFAX's bundled one
  - remove typerules and ps2fax patches, after committing them to CVS

* Wed Aug 23 2000 Darren Nickerson <darren@dazza.org>
  - remove libgr dependencies for greater RPM portability

* Sun May 14 2000 Darren Nickerson <darren@dazza.org>
  - standardize on libtiff >= 3.5 to resolve run length (16->32 bits)
  - fixed modes of .dso files in dso.patch to silence ldd warning and
    actually link properly

* Sun Mar 18 2000 Darren Nickerson <darren@dazza.org>
  - instead of beta2 + patches, begin using CVS snapshot
  - changed LIBTIFF linker line to include -ljpeg -lz, suggested by Matthew
	Rice <matt@starnix.com>, and Erik Ratcliffe <erik@calderasystems.com>

* Fri Nov 5 1999 Matthew Rice <matt@starnix.com>
  - hylafax-4.1beta2.tar.gz
  - added lisa support
  - fix for installing into a build root

* Wed Jun 16 1999 Darren Nickerson <darren@info.tpc.int>
  - hylafax-4.1beta1.tar.gz
  - added chkconfig support
  - removed libjpeg linking and dependency

* Tue Sep 29 1998 Darren Nickerson <darren@info.tpc.int>
  - added security fix proposed by Carsten Hoeger <choeger@suse.de> for
	potential race condition  reported by Tobias Richter
	<tsr@cave.isdn.cs.tu-berlin.de>
* Wed Sep 9 1998 Darren Nickerson <darren@info.tpc.int>
  - built the RPM on Redhat-5.0 to avoid dependency problems with libjpeg
	and libstdc++. 
* Tue May 26 1998 Darren Nickerson <darren@info.tpc.int>
  - removed .orig files from patch - they were 90 percent of it
  - removed oversimplified /dev/modem assumptions
  - faxcron was invoking xferstats, instead of new xferfaxstats - fixed
  - revised faxcron's manpage
  - HylaFAX was still writing etc/xferlog. Changed to etc/xferfaxlog as 
	advertised by all supporting docs and scripts.
  - added hourly faxqclean and daily faxcron cron jobs, and xferlog rotation
  - hfaxd no longer hard-wired as running from inetd, faxsetup will handle this
  - no longer assumes /dev/modem and blindly inserts inittab entry
  - change naming scheme to differentiate rh4/rh5
  - move documentation back into main rpm, instead of sub-packages
  - added Robert Colquhoun's textfmt-mailer patch
  - increased margin on LHS, was too close and getting clipped
  - make faxsetup warn that modem class = modem pool, not Class1/2/2.0
  - use HylaFAX's init script, startup with new protocol only and no snpp
  - added -DFIXEDMEDIA to last command in ps2fax.gs, as posted
	by "Alan Sparks" <asparks@nss.harris.com>
  - added fixhtml patch, removed release from the doc dir, now just version
  - added Nico's skel patch, for class1/2/2.0 modem prototype files
  - added Robert Colquhoun's patch to hfaxd's tagline generation
  - fixes to build on 5.1, contributed by Richard Sharpe <sharpe@ns.aus.com>
  - faxrcvd now treated as a config file, preserved as .rpmsave
  - fixed ghostscript dependency to require fonts-std, not fonts.
  - remove requirement for mawk - use gawk instead.
  - faxsetup now detects is hfaxd is not driven from inetd, and starts it
	when restarting faxq using SysV init script (Robert Colquhoun)
  

* Wed Mar 04 1998 Markus Pilzecker <mp@rhein-neckar.netsurf.de>
  - took ldconfig call out ouf %install section
  - minimized and compressed patch
  - arch rpm buildable as ordinary user
  - diverted subpackages for [un]compressed man pages
  - diverted subpackage for html documentation

* Thu Jan 22 1998 Bernd Johannes Wuebben <wuebben@kde.org>
  - hylafax-4.0-8
  - A previous version of this spec file was handed to me by 
    Ramana Juvvadi (juvvadi@lekha.org)  
    who unfortunately can no longer provide rpms of hylafax. 
    Thanks so much for you work Ramana!
    Bernd

* Fri Oct 24 1997 Ramana Juvvadi (juvvadi@lekha.org)
  - hylafax-4.0-6
  




%prep
#%setup -n %{name}-%{version}
%setup -n %{name}-cvs-20001203
%patch -p1
#%patch1

%build

./configure \
--with-DIR_BIN=/usr/bin \
--with-DIR_SBIN=/usr/sbin \
--with-DIR_LIBEXEC=/usr/sbin \
--with-DIR_LIBDATA=/usr/share/fax \
--with-DIR_LOCKS=/var/lock \
--with-TIFFINC=/usr/include \
--with-TIFFBIN=/usr/bin \
--with-DIR_MAN=/usr/man \
--with-PATH_GSRIP=/usr/bin/gs \
--with-DEFVRES=196 \
--with-DBLIBINC=/usr/include \
--with-DIR_AFM=/usr/share/fax/afm \
--with-LIBTIFF="-ltiff -ljpeg -lz" \
--with-DIR_HTML=/usr/doc/%{name}-%{version}/html \
--with-DIR_CGI=/usr/doc/%{name}-%{version}/html/cgi-bin \
--with-DIR_SPOOL=/var/spool/fax \
--with-LIBDB=-ldb \
--with-AFM=no \
--with-AWK=/usr/bin/gawk \
--with-DSO=LINUX \
--with-DSOSUF=so \
--with-PATH_VGETTY=/sbin/vgetty \
--with-HTML=yes \
--quiet

make 


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/doc/%{name}-%{version} -m 755
mkdir -p $RPM_BUILD_ROOT/usr/share -m 755
for  sect in $(echo %{mansections} | sed 's/[0-9]/& /g')
#					 ^^^ split figures by blanks 
  do
    mkdir -p ${RPM_BUILD_ROOT}/usr/man/man${sect} -m 755
  done
mkdir -p $RPM_BUILD_ROOT/var/spool -m 755

mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d -m 755
install -m 644 $RPM_SOURCE_DIR/hylafax_logrotate $RPM_BUILD_ROOT/etc/logrotate.d/hylafax
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily -m 755
install -m 755 $RPM_SOURCE_DIR/hylafax_daily.cron $RPM_BUILD_ROOT/etc/cron.daily/hylafax
mkdir -p $RPM_BUILD_ROOT/etc/cron.hourly -m 755
install -m 755 $RPM_SOURCE_DIR/hylafax_hourly.cron $RPM_BUILD_ROOT/etc/cron.hourly/hylafax

make -e BIN=$RPM_BUILD_ROOT/usr/bin SBIN=$RPM_BUILD_ROOT/usr/sbin LIBDATA=$RPM_BUILD_ROOT/usr/share/fax LIBEXEC=$RPM_BUILD_ROOT/usr/sbin SPOOL=$RPM_BUILD_ROOT/var/spool/fax MAN=$RPM_BUILD_ROOT/usr/man HTMLDIR=$RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/html CGIBIN=$RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/html/cgi-bin INSTALL_ROOT=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/usr/share/fax/afm 
cd $RPM_BUILD_ROOT/usr/share/fax/afm 

ln -s %{gs_font_dir}/a010013l.afm AvantGarde-Book.afm
ln -s %{gs_font_dir}/a010033l.afm AvantGarde-BookOblique.afm
ln -s %{gs_font_dir}/a010015l.afm AvantGarde-Demi.afm
ln -s %{gs_font_dir}/a010035l.afm AvantGarde-DemiOblique.afm
ln -s %{gs_font_dir}/b018015l.afm Bookman-Demi.afm
ln -s %{gs_font_dir}/b018035l.afm Bookman-DemiItalic.afm
ln -s %{gs_font_dir}/b018012l.afm Bookman-Light.afm
ln -s %{gs_font_dir}/b018032l.afm Bookman-LightItalic.afm
ln -s %{gs_font_dir}/n022004l.afm Courier-Bold.afm
ln -s %{gs_font_dir}/n022024l.afm Courier-BoldOblique.afm
ln -s %{gs_font_dir}/n022023l.afm Courier-Oblique.afm
ln -s %{gs_font_dir}/n022003l.afm Courier.afm
ln -s %{gs_font_dir}/n019004l.afm Helvetica-Bold.afm
ln -s %{gs_font_dir}/n019024l.afm Helvetica-BoldOblique.afm
ln -s %{gs_font_dir}/n019044l.afm Helvetica-Narrow-Bold.afm
ln -s %{gs_font_dir}/n019064l.afm Helvetica-Narrow-BoldOblique.afm
ln -s %{gs_font_dir}/n019063l.afm Helvetica-Narrow-Oblique.afm
ln -s %{gs_font_dir}/n019043l.afm Helvetica-Narrow.afm
ln -s %{gs_font_dir}/n019023l.afm Helvetica-Oblique.afm
ln -s %{gs_font_dir}/n019003l.afm Helvetica.afm
ln -s %{gs_font_dir}/c059016l.afm NewCenturySchlbk-Bold.afm
ln -s %{gs_font_dir}/c059036l.afm NewCenturySchlbk-BoldItalic.afm
ln -s %{gs_font_dir}/c059033l.afm NewCenturySchlbk-Italic.afm
ln -s %{gs_font_dir}/c059013l.afm NewCenturySchlbk-Roman.afm
ln -s %{gs_font_dir}/p052004l.afm Palatino-Bold.afm
ln -s %{gs_font_dir}/p052024l.afm Palatino-BoldItalic.afm
ln -s %{gs_font_dir}/p052023l.afm Palatino-Italic.afm
ln -s %{gs_font_dir}/p052003l.afm Palatino-Roman.afm
ln -s %{gs_font_dir}/s050000l.afm Symbol.afm
ln -s %{gs_font_dir}/n021004l.afm Times-Bold.afm
ln -s %{gs_font_dir}/n021024l.afm Times-BoldItalic.afm
ln -s %{gs_font_dir}/n021023l.afm Times-Italic.afm
ln -s %{gs_font_dir}/n021023l.afm Times-Oblique.afm
ln -s %{gs_font_dir}/n021003l.afm Times-Roman.afm
ln -s %{gs_font_dir}/z003034l.afm ZapfChancery-MediumItalic.afm
ln -s %{gs_font_dir}/d050000l.afm ZapfDingbats.afm

strip  $RPM_BUILD_ROOT/usr/bin/* || echo Ignored strip on a non-binary file

cd $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
#install -m 755 $RPM_BUILD_DIR/%{name}-%{version}/etc/hylafax  $RPM_BUILD_ROOT/etc/rc.d/init.d/hylafax

mkdir $RPM_BUILD_ROOT/var/spool/fax/config/defaults

cp $RPM_SOURCE_DIR/hylafax_config $RPM_BUILD_ROOT/var/spool/fax/config/defaults/config
cp $RPM_SOURCE_DIR/hylafax_config.modem $RPM_BUILD_ROOT/var/spool/fax/config/defaults/config.modem
cp $RPM_SOURCE_DIR/hylafax_setup.cache $RPM_BUILD_ROOT/var/spool/fax/config/defaults/setup.cache
cp $RPM_SOURCE_DIR/hylafax_setup.modem $RPM_BUILD_ROOT/var/spool/fax/config/defaults/setup.modem

cp $RPM_SOURCE_DIR/hylafax_README.rpm $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/README.rpm

cd $RPM_BUILD_ROOT/var/spool/fax/bin
ln -s ps2fax.gs ps2fax

#The make file puts the .so file in /usr/sbin. Move them to /usr/lib
cd $RPM_BUILD_ROOT/usr
mkdir -p lib
mv sbin/*.so.* lib
mv sbin/*.so lib

# compress the man pages
for  i in  $(echo ${RPM_BUILD_ROOT}/usr/man/man?)
  do
    mkdir  $i.gz
    cp -ad $i/* $i.gz/
    gzip $i.gz/*
    cp -adu $i.gz/* $i/
  done



%post
/sbin/ldconfig
if [ -x /sbin/chkconfig ]; then
        /sbin/chkconfig --add hylafax
elif [ -x /bin/lisa ]; then
        /bin/lisa --SysV-init install hylafax S99 3:4:5 K01 0:1:2:6
fi

%preun
if [ -x /sbin/chkconfig ]; then
        /sbin/chkconfig --del hylafax
elif [ -x /bin/lisa ]; then
        /bin/lisa --SysV-init remove hylafax $1
fi


%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT


%files
%attr(-,root,root) /usr/doc/%{name}-%{version}/README.rpm
%attr(-,uucp,uucp) %dir /var/spool/fax
%attr(-,uucp,uucp) %dir /var/spool/fax/bin
%attr(-,uucp,uucp) %dir /var/spool/fax/client
%attr(-,uucp,uucp) %dir /var/spool/fax/config
%attr(-,uucp,uucp) %dir /var/spool/fax/dev
%attr(-,uucp,uucp) %dir /var/spool/fax/etc
%attr(-,uucp,uucp) %dir /var/spool/fax/info
%attr(-,uucp,uucp) %dir /var/spool/fax/log
%attr(-,uucp,uucp) %dir /var/spool/fax/recvq
%attr(-,uucp,uucp) %dir /var/spool/fax/status
%attr(-,uucp,uucp) %dir /var/spool/fax/sendq
%attr(-,uucp,uucp) %dir /var/spool/fax/doneq
%attr(-,uucp,uucp) %dir /var/spool/fax/docq
%attr(-,uucp,uucp) %dir /var/spool/fax/tmp
%attr(-,uucp,uucp) %dir /var/spool/fax/pollq
%attr(-,uucp,uucp) %dir /var/spool/fax/archive
%attr(-,root,root) /var/spool/fax/bin/*
%attr(-,root,root) /var/spool/fax/config/*
%attr(-,root,root) /var/spool/fax/etc/dpsprinter.ps
%attr(-,root,root) /var/spool/fax/etc/cover.templ
%attr(-,root,root) /var/spool/fax/etc/dialrules*
%attr(-,uucp,uucp) %config /var/spool/fax/etc/xferfaxlog
%attr(-,uucp,uucp) %config /var/spool/fax/etc/hosts.hfaxd
%attr(-,uucp,uucp) %config /var/spool/fax/etc/lutRS18.pcf
%attr(-,uucp,uucp) /var/spool/fax/FIFO
%attr(-,root,root) /var/spool/fax/COPYRIGHT

%attr(-,root,root) /etc
%attr(-,root,root) /usr/bin
%attr(-,root,root) /usr/sbin
%attr(-,root,root) /usr/share
%attr(-,root,root) /usr/lib

#%files man
%attr(644,root,root) /usr/man/man[%{mansections}]/*.[%{mansections}]*

#%files man-gz
#%attr(644,root,root) /usr/man/man[%{mansections}]/*.[%{mansections}]*.gz

#%files htmldoc
%attr(-,root,root) /usr/doc/%{name}-%{version}/html
